qpid-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ai...@apache.org
Subject svn commit: r790140 - /qpid/trunk/qpid/bin/release.sh
Date Wed, 01 Jul 2009 12:26:58 GMT
Author: aidan
Date: Wed Jul  1 12:26:58 2009
New Revision: 790140

URL: http://svn.apache.org/viewvc?rev=790140&view=rev
Log:
QPID-1964 Author: Jan Sarenik <jsarenik@redhat.com>

    Make release.sh --help work

    Changed order, to not catch and exit by
    the less verbose usage string.

    Signed-off-by: Aidan Skinner <aidan@apache.org>

Modified:
    qpid/trunk/qpid/bin/release.sh

Modified: qpid/trunk/qpid/bin/release.sh
URL: http://svn.apache.org/viewvc/qpid/trunk/qpid/bin/release.sh?rev=790140&r1=790139&r2=790140&view=diff
==============================================================================
--- qpid/trunk/qpid/bin/release.sh (original)
+++ qpid/trunk/qpid/bin/release.sh Wed Jul  1 12:26:58 2009
@@ -110,16 +110,16 @@
  esac
 done
 
-if [ -z "$SVN" -o -z "$REV" -o -z "$VER" ]; then
-    echo "Usage: release.sh <svn-path> <svn-revision> <version>"
-    exit 1
-fi
-
 if [ -n "${HELP}" ] ; then
  usage
  exit 0
 fi
 
+if [ -z "$SVN" -o -z "$REV" -o -z "$VER" ]; then
+    echo "Usage: release.sh <svn-path> <svn-revision> <version>"
+    exit 1
+fi
+
 echo SVN:$SVN
 echo REV:$REV
 echo VER:$VER



---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:commits-subscribe@qpid.apache.org


Mime
View raw message